Name: SoundStudio
Version: 1.0.6
Release: alt3

Summary: Graphical sound sample editor
Summary(ru_RU.KOI8-R):   .
Group: Sound
License: GPL
Url: http://studio.sourceforge.net/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/studio/%name-%version.tar.gz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

Requires: sox

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: sox

%description
SoundStudio is a graphical sound sample editor, with recording and playback
facilities and a built-in graphical mixer, for Linux and Solaris

%description -l ru_RU.KOI8-R
       
,   sox.

%prep
%setup -q -n %name

%build
%define config config_file

# specify directory where the studio files will be stored
echo %_datadir/%name > %config
# specify directory for temporary files, default is /tmp
echo >> %config
# (1) Look in the system path for sox at run-time, fall back to the supplied version on failure.
# (2) Always use the version of sox in the path.
# (3) Always use the supplied sox.
echo 2 >> %config

%__perl -pi -e 's@CC=.*\n@CC="%__cc \$RPM_OPT_FLAGS"@' build
./build config < %config

for f in help.tk README studio.lsm ; do
    %__perl -pi -e 's@\$VERSION@%version@g' $f
done

%install
%define binaries fader maxmin reset_dsp studio_mixer studio_tool

%__install -pD -m755  studio %buildroot%_bindir/%name
%__mkdir_p %buildroot%_datadir/%name
%__cp *.tk *.xpm *.ico *.hlp *.lsm StudioHelp %binaries %buildroot%_datadir/%name

# menu
%__cat << __MENU__ > %name.menu
?package(%name): command="%_bindir/%name" needs="X11" section="Multimedia/%group" \
title="Sound Studio" longtitle="Graphical sound sample editor" icon="%name.xpm"
__MENU__

# install menu and icons
%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files 
%_bindir/%name
%_datadir/%name/*
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/%name
%doc README TODO

%changelog
* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt3
- Rebuild with gcc-3.2. 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt2
- cleanups

* Fri Dec 28 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- First build for Sisyphus
